{% load static %}
<!DOCTYPE html>
<html>

<head>
  <!-- Basic -->
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <!-- Mobile Metas -->
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
  <!-- Site Metas -->
  <meta name="keywords" content="" />
  <meta name="description" content="" />
  <meta name="author" content="" />
  <link rel="shortcut icon" href="{% static 'images/favicon.png' %}" type="image/x-icon">
  <title>About</title>

  <!-- bootstrap core css -->
  <link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.css' %}" />
  <!--owl slider stylesheet -->
  <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css" />
  <!-- font awesome style -->
  <link href="{% static 'css/font-awesome.min.css' %}" rel="stylesheet" />

  <!-- Custom styles for this template -->
  <link href="{% static 'css/style.css' %}" rel="stylesheet" />
  <!-- responsive style -->
  <link href="{% static 'css/responsive.css' %}" rel="stylesheet" />
</head>

<body class="sub_page">
  <div class="hero_area">
    <!-- header section strats -->
    <header class="header_section">
      <div class="container">
        <nav class="navbar navbar-expand-lg custom_nav-container ">
          <a class="navbar-brand " href="index.html">Apple Detection</a>

          <button class="navbar-toggler me-3 text-black" type="button" data-bs-toggle="collapse" data-bs-target="#btn">
            <i class='bx bx-menu bx-md'></i>
          </button>

          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav">
              <li class="nav-item ">
                <a class="nav-link" href="{% url 'index' %}">Home <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item active">
                <a class="nav-link" href="{% url 'about' %}">About</a>
              </li>
              <li class="nav-item active">
                <a class="nav-link" href="{% url 'viewhistory' %}">History</a>
              </li>
            
            </ul>
          </div>
        </nav>
      </div>
    </header>
    <!-- end header section -->
  </div>
  <br><br>
  <!-- <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/webcamjs/1.0.25/webcam.js"></script>
  <center>
    <div id="camera" style="height:auto;width:auto; text-align:left;"></div><br>
    <input type="button" class = "btn btn-outline-success" value="Take a Snap and Download Picture" id="btPic" onclick="takeSnapShot()"/>
  </center>
  <br><br>
  <script>
    // CAMERA SETTINGS.
    Webcam.set({
        width: 550,
        height: 400,
        image_format: 'jpeg',
        jpeg_quality: 1080
    });
    Webcam.attach('#camera');

    // TAKE A SNAPSHOT.
    takeSnapShot = function () {
        Webcam.snap(function (data_uri) {
            downloadImage('1', data_uri);
        });
    }

    // DOWNLOAD THE IMAGE.
    downloadImage = function (name, datauri) {
        var a = document.createElement('a');
        a.setAttribute('download', name + '.jpg');
        a.setAttribute('href', datauri);
        a.click();
    }
</script> -->
  <center>
    <div class="text-center">
      <button id="start-camera" type="button" class="btn btn-outline-success"><b>Open WebCam</b></button>
    </div>
      <video id="video" width="250" height="250" autoplay></video>
      <button id="click-photo" type="button" class="btn btn-outline-success"><b>Take Photo</b></button>
      <canvas id="canvas" width="250" height="250"></canvas>

    <!-- form for prediction--> 
    <form method="post" enctype="multipart/form-data" action="/predictImage/">
    {% csrf_token %}
    <div class="test-centre">
        <input name= "filePath"  type="hidden" id="myfield" value=""><br><br>
    <br>
    </div>
    <button id="predict_" type="submit" class="btn btn-outline-success"><b>Predict</b></button>
  </form>
  </center>
  <!--javascript-->
  <br><br>
  <script>
    let camera_button = document.querySelector("#start-camera");
    let video = document.querySelector("#video");
    let click_button = document.querySelector("#click-photo");
    let canvas = document.querySelector("#canvas");
    let predict = document.querySelector("#predict_");

    click_button.style.display = 'none'
    predict.style.display = 'none'

    camera_button.addEventListener('click', async function() {
        let stream = await navigator.mediaDevices.getUserMedia({ video: true, audio: false });
      video.srcObject = stream;

      click_button.style.display = 'block';
      camera_button.style.display = 'none';
    });

    click_button.addEventListener('click', function() {
        canvas.getContext('2d').drawImage(video, 0, 0, canvas.width, canvas.height);
        let image_data_url = canvas.toDataURL('image/jpeg');

        const mediaStream= video.srcObject;
        const tracks = mediaStream.getTracks();
        tracks[0].stop();
        tracks.forEach(track => track.stop())
        

        video.style.display = 'none';
        click_button.style.display = 'none';
        predict.style.display = 'block'

        document.getElementById('myfield').value = image_data_url; 

        // data url of the image
        console.log(image_data_url);
    });
  </script>

  <!-- info section -->
  <section class="info_section ">
    <div class="info_container ">
      <div class="container">
        <div class="row">
          <div class="col-md-8 col-lg-4">
            <img src="{% static 'images/logo.png' %}" alt="234" style="width: 90%; height:20px;display: inline-block;height: 70%;vertical-align: middle;">
          </div>
          <div class="col-md-8 col-lg-4" style="left:7%">
            <h6>
              CONTACT US
            </h6>
            <div class="info_link-box">
              <a href="https://www.gcit.edu.bt/">
                <i class="fa fa-map-marker" aria-hidden="true"></i>
                <span>Gyalpozhing College, Mongar</span>
              </a>
              <a href="https://mail.google.com/mail">
                <i class="fa fa-envelope" aria-hidden="true"></i>
                <span> 12190058.gcit@rub.edu.bt</span>
              </a>
              <a href="https://mail.google.com/mail">
                <i class="fa fa-envelope" aria-hidden="true"></i>
                <span> 12190061.gcit@rub.edu.bt</span>
              </a>
              <a href="https://mail.google.com/mail">
                <i class="fa fa-envelope" aria-hidden="true"></i>
                <span> 12190068.gcit@rub.edu.bt</span>
              </a>
              <a href="https://mail.google.com/mail">
                <i class="fa fa-envelope" aria-hidden="true"></i>
                <span> 12190079.gcit@rub.edu.bt</span>
              </a>
            </div>
          </div>
          <div class="col-md-8 col-lg-4">
            <h6>SOCIAL LINKS</h6>
            <div class="social_container">
              <div class="social_box">
                <a href="https://www.facebook.com/">
                  <i class="fa fa-facebook" aria-hidden="true"></i>
                </a>
                <a href="https://twitter.com/">
                  <i class="fa fa-twitter" aria-hidden="true"></i>
                </a>
                <a href="https://www.instagram.com/?hl=en">
                  <i class="fa fa-instagram" aria-hidden="true"></i>
                </a>
              </div>
            </div>
          </div>
          
        </div>
      </div>
    </div>
  </section>
  <!-- end info section -->

  <!-- footer section -->
  <footer class=" footer_section">
    <div class="container">
      <p>
        &copy; 2022 All Rights Reserved
      </p>
    </div>
  </footer>
  <!-- footer section -->

  <!-- jQery -->
  <script src="{% static 'js/jquery-3.4.1.min.js' %}"></script>
  <!-- popper js -->
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
  
 
</body>

</html>